Bug 853397 - TCMS is spamming my inbox by messages about test run update
TCMS is spamming my inbox by messages about test run update
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.1
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.8.1
Assigned To: Yang Ren
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 07:48 EDT by Marian Ganisin
Modified: 2016-06-23 00:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2012-08-31 07:48:46 EDT
Description of problem:

By recent tcms update it has started sending unexpected notification about test run update with subject:

[TCMS] Test Run XXXXX - Some Particular Testrun has been updated

I am neither manager nor default tester of such test run and I don't want to receive such notifications.

I didn't find any option in tcms to setup this behavior and I even didn't find any notice about this change in changelog of recent tcms.

In my opinion this seems to be a regression as it didn't send such messages in the past.
Comment 1 Xiangyang Chu 2012-09-03 00:31:25 EDT
(In reply to comment #0)
> Description of problem:
> 
> By recent tcms update it has started sending unexpected notification about
> test run update with subject:
> 
> [TCMS] Test Run XXXXX - Some Particular Testrun has been updated
> 
> I am neither manager nor default tester of such test run and I don't want to
> receive such notifications.
> 
> I didn't find any option in tcms to setup this behavior and I even didn't
> find any notice about this change in changelog of recent tcms.
> 
> In my opinion this seems to be a regression as it didn't send such messages
> in the past.

Sorry about this and we are looking into it.
Comment 2 Zheng Liu 2012-09-18 23:03:54 EDT
(In reply to comment #0)
 
> By recent tcms update it has started sending unexpected notification about
> test run update with subject:
> 
> [TCMS] Test Run XXXXX - Some Particular Testrun has been updated

This is a regression bug. We will fix it in next release.

> I am neither manager nor default tester of such test run and I don't want to
> receive such notifications.

When a test run is updated, TCMS will send email notifications to following receivers:
1. Manager and default tester of this test run.
2. Assignees of all test case runs which belong to this test run. 
Please check if you are the assignee of related test case runs.
Comment 3 Marian Ganisin 2012-09-19 04:09:36 EDT
(In reply to comment #2)
> When a test run is updated, TCMS will send email notifications to following
> receivers:
> 1. Manager and default tester of this test run.
> 2. Assignees of all test case runs which belong to this test run. 
> Please check if you are the assignee of related test case runs.

Yes this could be really the issue, I have been figuring as assignee for some particular cases in those spamming runs.
Comment 4 Zheng Liu 2012-09-21 02:25:57 EDT
This bug has been fixed. Please verify in next release.
Comment 5 Xin Gao 2012-10-10 03:58:11 EDT
Verify 3.8.1 on tcms-test -->PASS

Verify steps:
1. Open a test-run which includes some case-run.
2. Edit this run, and check "Set Status Automatically", save.
3. reopen/reload this run page, check whether receive email.
4. change all case-runs' status to finished, check whether receive email.
5. change one/more case-runs' status to unfinished, check whether receive email.

Actual result:
1. after step 3, there's no email.
2. after step 4, 5, received notification email about run updating.

Note You need to log in before you can comment on or make changes to this bug.